## org.apache.tools.ant.util.regexp
Class RegexpFactory

    java.lang.Object
      |
      +--org.apache.tools.ant.util.regexp.RegexpMatcherFactory
            |
            +--org.apache.tools.ant.util.regexp.RegexpFactory

public class RegexpFactory
extends RegexpMatcherFactory

Regular expression factory, which will create Regexp objects. The actual implementation class depends on the System or Ant Property: `ant.regexp.regexpimpl`.

Version:
  $Revision: 1.11.2.4 $

Constructor Summary
`RegexpFactory()`

Method Summary
`protected Regexp` `createRegexpInstance(java.lang.String classname)` Wrapper over RegexpMatcherFactory.createInstance that ensures that we are dealing with a Regexp implementation.
`Regexp` `newRegexp()` Create a new regular expression matcher instance.
`Regexp` `newRegexp(Project p)` Create a new regular expression matcher instance.

Methods inherited from class org.apache.tools.ant.util.regexp.RegexpMatcherFactory
`createInstance, newRegexpMatcher, newRegexpMatcher, testAvailability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexpFactory

    public RegexpFactory()

Method Detail

### newRegexp

    public Regexp newRegexp()
                     throws BuildException

  Create a new regular expression matcher instance.

    `BuildException`

### newRegexp

    public Regexp newRegexp(Project p)
                     throws BuildException

  Create a new regular expression matcher instance.

  Parameters:
    `p` - Project whose ant.regexp.regexpimpl property will be used.
    `BuildException`

### createRegexpInstance

    protected Regexp createRegexpInstance(java.lang.String classname)
                                   throws BuildException

  Wrapper over RegexpMatcherFactory.createInstance that ensures that we are dealing with a Regexp implementation.

    `BuildException`
  Since:
    1.3
  See Also:
    `RegexpMatcherFactory.createInstance(String)`

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.